<?php
/**
 * Maglux About Page
 * @package Maglux
 *
 */
if (!class_exists('Maglux_About_page')):
    class Maglux_About_page
    {
        function __construct()
        {
            add_action('admin_menu', array($this, 'maglux_backend_menu'));
        }
        // Add Backend Menu
        function maglux_backend_menu()
        {
            add_theme_page(esc_html__('Maglux', 'maglux'), esc_html__('Maglux', 'maglux'), 'activate_plugins', 'maglux-about', array($this, 'maglux_main_page'), 1);
        }
        // Settings Form
        function maglux_main_page()
        {
            require get_template_directory() . '/classes/about-render.php';
        }
    }
    new Maglux_About_page();
endif;